<?php
/**
 * Block Patterns
 *
 * @package fse_photographs
 * @since 1.0
 */

function fse_photographs_register_block_patterns() {
	$fse_photographs_block_pattern_categories = array(
		'fse-photographs' => array( 'label' => esc_html__( 'FSE Photographs', 'fse-photographs' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'fse-photographs' ) ),
	);

	$fse_photographs_block_pattern_categories = apply_filters( 'fse_photographs_fse_photographs_block_pattern_categories', $fse_photographs_block_pattern_categories );

	foreach ( $fse_photographs_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'fse_photographs_register_block_patterns', 9 );